It's not a secret anymore!*
The moose likes BEA/Weblogic and the fly likes Does Weblogic 8.1 platform support JSTL 1.1 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of OCM Java EE 6 Enterprise Architect Exam Guide this week in the OCMJEA forum!
JavaRanch » Java Forums » Products » BEA/Weblogic
Bookmark "Does Weblogic 8.1 platform support JSTL 1.1 " Watch "Does Weblogic 8.1 platform support JSTL 1.1 " New topic
Author

Does Weblogic 8.1 platform support JSTL 1.1

Jagdeep Singh
Ranch Hand

Joined: Oct 14, 2002
Posts: 106
Thought this might be useful for those looking for JSTL 1.1 support in weblogic. You can NOT use JSTL 1.1 in weblogic 8.1 platform.

To use JSTL 1.1 we need J2EE 1.4 support which is NOT in WL 8.1 platform (including sp4). Coming up Diablo (WL 9.0 beta) supports J2EE 1.4 but its still in beta. Here is the summary and useful links.

JSTL 1.0 is working on J2EE 1.3 / Servlet 2.3 / JSP 1.2
JSTL 1.1 requires J2EE 1.4 / Servlet 2.4 / JSP 2.0

Migrating to JSTL 1.1
---------------------
To migrate from JSTL 1.0 to JSTL 1.1, so a web application can take advantage of the new features associated with JSTL 1.1, one must do the following:
(1)Migrate the web application deployment descriptor (web.xml) from servlet 2.3 to servlet 2.4. More details are in Servlets 2.4 specs.
(2)Replace all the JSTL 1.0 EL & RT URIs by the new JSTL 1.1 URIs
(3)Escape all occurrences of "{" in RT actions and template text. More details are in JSP 2.0 specs.
[http://www.jcp.org/aboutJava/communityprocess/maintenance/jsr052/JSR52-ChangeLog.html ]

Weblogic 8.1 Standard Support (including SP4)
---------------------------------------------
StandardVersion
J2EE 1.3
JDKs 1.4
J2EE EJB2.0 and 1.1
J2EE JMS1.0.2b
J2EE JDBC (with third-party drivers)2.0
J2EE Servlet2.3 and 2.2
J2EE JSP1.2 and 1.1
[WL 8.1 http://e-docs.bea.com/wls/docs81/notes/new.html#1184292 ]

Upcoming Weblogic 9.0 beta (Diablo)
-----------------------------------
StandardVersion
J2EE 1.4, 1.3
JDKs 5.0 (aka 1.5), 1.4
J2EE Enterprise Web Services1.1
J2EE EJB2.1, 2.0, and 1.1
J2EE JMS1.1, 1.0.2b
J2EE JDBC (with third-party drivers)2.0
J2EE JNDI1.2
J2EE Servlet2.4, 2.3, and 2.2
J2EE JSP2.0, 1.2, and 1.1
[WL Diablo http://e-docs.bea.com/wls/docs90/notes/new.html ]


Jagdeep Singh<br />SCJP;SCWCD;IBM Certified XML Solution Developer;SCBCD1.3
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: Does Weblogic 8.1 platform support JSTL 1.1